Last Comment Bug 742528 - Read Only Disabled When Calendar Is Cached
: Read Only Disabled When Calendar Is Cached
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: General (show other bugs)
: Lightning 1.3
: All All
: -- normal with 5 votes (vote)
: 1.9.1
Assigned To: Matthew Mecca [:mmecca]
:
Mentors:
: 700004 772041 799182 (view as bug list)
Depends on:
Blocks: calcache
  Show dependency treegraph
 
Reported: 2012-04-04 14:01 PDT by asai
Modified: 2013-03-10 07:37 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix v1 (1.37 KB, patch)
2012-11-17 13:41 PST, Matthew Mecca [:mmecca]
philipp: review+
mohit.kanwal: feedback+
matthew.mecca: approval‑calendar‑aurora+
matthew.mecca: approval‑calendar‑beta+
matthew.mecca: approval‑calendar‑esr+
Details | Diff | Splinter Review

Description asai 2012-04-04 14:01:05 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0) Gecko/20100101 Firefox/10.0
Build ID: 20120129021758

Steps to reproduce:

Create new CalDAV calendar, check Cache and Read-Only


Actual results:

Upon restarting TB, Read-Only is unchecked.  Upon unchecking Cache checking Read-Only, Read-Only stays on.


Expected results:

Read-Only should stay checked.
Comment 1 Stefan Sitter 2012-07-09 19:45:34 PDT
*** Bug 772041 has been marked as a duplicate of this bug. ***
Comment 2 natanji 2012-08-05 14:24:41 PDT
Confirming. Have the exact same issue. For me it only appeared in Lightning 1.5, just like described in bug 772041.

I am on Arch Linux x64, so it would be great if someone could change this bug back to "OS: All"
Comment 3 Robert Sander 2012-09-05 01:22:05 PDT
I can also confirm this bug on Ubuntu 12.04 amd64 with Thunderbird 15 and Lightning 1.7
Comment 4 Stefan Sitter 2012-09-06 00:06:00 PDT
*** Bug 700004 has been marked as a duplicate of this bug. ***
Comment 5 r.buhl 2012-10-12 02:52:27 PDT
Bug confirmed on Win7 and Lightning 1.8
Comment 6 fifa 2012-10-13 02:32:58 PDT
*** Bug 799182 has been marked as a duplicate of this bug. ***
Comment 7 Matthew Mecca [:mmecca] 2012-11-17 13:41:51 PST
Created attachment 682810 [details] [diff] [review]
Fix v1

The read-only property is being set to false after reading the offline properties from the cache (also the disabled property, but I don't think this will work anyway without using setProperty).

Mohit, is there any reason this shouldn't be removed?
Comment 8 Matthew Mecca [:mmecca] 2012-12-08 10:23:46 PST
Pushed to comm-central - https://hg.mozilla.org/comm-central/rev/62ed8249ff31
Comment 9 Mohit Kanwal [:redDragon] 2012-12-09 07:37:15 PST
Comment on attachment 682810 [details] [diff] [review]
Fix v1

Review of attachment 682810 [details] [diff] [review]:
-----------------------------------------------------------------

This should be good to go. If I remember correctly this was done to prevent the offline cache getting rewritten and thus raising of the mItemInfoCache[aItem.id] not found error. I guess we can safely remove this.
Comment 10 Alexandre Demers 2012-12-18 14:02:34 PST
Could it be backported? It is a trivial fix without any risk from what I see. Right now, I'm being shown the invitations addressed to all my colleagues instead of just mine. If I disable caching and enable read only for other calendars, pending invitations only display the one addressed to my calendar as intended.
Comment 11 Philipp Kewisch [:Fallen] 2013-02-07 06:55:58 PST
Comment on attachment 682810 [details] [diff] [review]
Fix v1

Matt, I'll leave the decision to you if you want this in 1.9.x ?
Comment 12 Matthew Mecca [:mmecca] 2013-02-07 19:26:09 PST
comm-beta - https://hg.mozilla.org/releases/comm-beta/rev/ac39f4b5e365
Comment 13 Matthew Mecca [:mmecca] 2013-02-08 14:31:18 PST
comm-esr17 - https://hg.mozilla.org/releases/comm-esr17/rev/7c6897b7efac

Note You need to log in before you can comment on or make changes to this bug.